You are not logged in.

#1 2014-09-05 02:03:16

highway
Member
Registered: 2012-07-28
Posts: 81

[SOLVED] java-common-1-7 breaks Eclipse

SOLVED: upgraded the java-common again, installed jdk8-openjdk with depends, fired right up

-----------------------------

The error message I get looks like this.

http://i.imgur.com/PaWC2Vu.png

Not really sure what to do.

I've tried downgrading Eclipse, and then doing a clean wipe and reinstalling.

I removed my .eclipse folder to no avail (tried that first).

I also tried grabbing a local copy of Eclipse to install from my /home dir and I get the same error message with that.

Eclipse has been running for days, and i recently restarted it. I had the problems, and saw that this package was upgraded it, so I downgraded it and still have the same problem.

Any help is appreciated.

Last edited by highway (2014-09-05 03:01:18)

Offline

#2 2014-09-05 02:50:56

TheLetterN
Member
Registered: 2014-08-17
Posts: 8

Re: [SOLVED] java-common-1-7 breaks Eclipse

The recent upgrade to java-common from 1-6 to 1-7 broke Java on my system. Minecraft wouldn't start, and running it from the command line yields:

/usr/bin/java: line 2: /usr/lib/jvm/default/bin/java: Too many levels of symbolic links
/usr/bin/java: line 2: exec: /usr/lib/jvm/default/bin/java: cannot execute: Too many levels of symbolic links

Installing jdk8-openjdk fixed the issue for me, just like OP.

Offline

#3 2014-09-05 03:00:06

highway
Member
Registered: 2012-07-28
Posts: 81

Re: [SOLVED] java-common-1-7 breaks Eclipse

TheLetterN wrote:

The recent upgrade to java-common from 1-6 to 1-7 broke Java on my system. Minecraft wouldn't start, and running it from the command line yields:

/usr/bin/java: line 2: /usr/lib/jvm/default/bin/java: Too many levels of symbolic links
/usr/bin/java: line 2: exec: /usr/lib/jvm/default/bin/java: cannot execute: Too many levels of symbolic links

Installing jdk8-openjdk fixed the issue for me, just like OP.

great! i was getting that as well!

glad I made this post then, because I had no idea to install jdk8 other than my professor had mentioned using it, so I installed it on a whim to see what would happen . . .

Offline

#4 2014-09-05 07:11:05

chemist69
Member
From: Hannover
Registered: 2013-10-02
Posts: 3

Re: [SOLVED] java-common-1-7 breaks Eclipse

sudo archlinux-java fix

is another way to fix this issue (see this bug report).


if you're not part of the solution - you're part of the precipitate.

Offline

#5 2014-09-05 07:13:03

drozdu
Member
Registered: 2012-02-20
Posts: 13

Re: [SOLVED] java-common-1-7 breaks Eclipse

It is because after java-common-1-7 installation /usr/lib/jvm/default links to itself: default -> default, creating symbolic link infinite loop.
You need to launch archlinux-java set <JAVA_ENV_NAME> as described in wiki.

Offline

#6 2014-09-05 07:17:15

Spider.007
Member
Registered: 2004-06-20
Posts: 1,167

Re: [SOLVED] java-common-1-7 breaks Eclipse

The proper fix is mentioned in https://bugs.archlinux.org/task/41826; run

$ archlinux-java fix

this will fix it

Offline

#7 2014-09-05 17:12:42

AndrzejL
Member
Registered: 2012-12-07
Posts: 160

Re: [SOLVED] java-common-1-7 breaks Eclipse

Spider.007 wrote:

The proper fix is mentioned in https://bugs.archlinux.org/task/41826; run

$ archlinux-java fix

this will fix it

Thank You very much kind Sir.

Cheers.

Andrzej


The worst thing about censorship is ██████ ██ ████ ████████████ and ██████ ███████ ███ ███████████.

Offline

#8 2014-09-07 06:26:59

sepehrmm
Member
Registered: 2013-06-09
Posts: 3

Re: [SOLVED] java-common-1-7 breaks Eclipse

chemist69 wrote:
sudo archlinux-java fix

is another way to fix this issue (see this bug report).

this fixed it.
tnx

Offline

#9 2014-09-09 13:57:08

JayCeeEhm
Member
Registered: 2012-02-29
Posts: 7

Re: [SOLVED] java-common-1-7 breaks Eclipse

chemist69 wrote:
sudo archlinux-java fix

is another way to fix this issue (see this bug report).

Worked for me also.

Could not start my PMS server due to this error

● pms@owner.service - PS3 Media Server
   Loaded: loaded (/usr/lib/systemd/system/pms@.service; enabled)
   Active: failed (Result: exit-code) since Tue 2014-09-09 10:36:31 ADT; 12min ago
  Process: 5386 ExecStart=/opt/pms/PMS.sh (code=exited, status=126)
  Process: 5377 ExecStartPre=/usr/bin/sleep 16 (code=exited, status=0/SUCCESS)
 Main PID: 5386 (code=exited, status=126)

Sep 09 10:36:31 desktop PMS.sh[5386]: /usr/sbin/java: line 2: /usr/lib/jvm/default/bin/java: Too many levels of symbolic links
Sep 09 10:36:31 desktop systemd[1]: pms@owner.service: main process exited, code=exited, status=126/n/a
Sep 09 10:36:31 desktop systemd[1]: Unit pms@owner.service entered failed state.
Sep 09 10:36:31 desktop PMS.sh[5386]: /usr/sbin/java: line 2: exec: /usr/lib/jvm/default/bin/java: cannot execute: Too many levels of symbolic links

Ran the suggested fix and PMS started right away.

Offline

#10 2014-09-10 17:43:09

CSCoder4ever
Member
Registered: 2014-02-01
Posts: 99

Re: [SOLVED] java-common-1-7 breaks Eclipse

Spider.007 wrote:

The proper fix is mentioned in https://bugs.archlinux.org/task/41826; run

$ archlinux-java fix

this will fix it

Sure enough, I can confirm that this works!


book: Dell XPS 13 9360, i5-8250U, 8GB RAM, 128GB SSD, Xubuntu x86_64 w/ i3
Keebs: Tada68 & Minivan w/ Gateron greens

Offline

Board footer

Powered by FluxBB